Subject: Re: linux-next: wireless tree build failure

From: Johannes Berg <[email-masked]>
Date: Wed, 22 Apr 2009 15:11:57 +0200

Hi Stephen,

> > Fun. Another rfkill problem. It'll get worse -- I have a complete rfkill
> > rewrite in the pipeline. For this part it's easy, just remove
> > user_claim_unsupported use from the driver.
> > 
> > Any suggestions on how to handle the other merge problems?
> 
> Well, the best way (and I know this is simplistic and maybe difficult) is
> to introduce the new rewrite alongside the old code and then slowly move
> the clients of the API over.

I wish. But in this case, I don't see how that is possible without
duplicating the entire rfkill framework, moving over and then deleting
the old version.

johannes